Class | ActiveMerchant::Billing::QuickpayGateway
In: | lib/active_merchant/billing/gateways/quickpay.rb
Parent: | Gateway

### Methods

authorize capture credit new purchase void

### Constants

URL | = | 'https://secure.quickpay.dk/transaction.php'
TRANSACTIONS | = | { :authorization => '1100', :capture => '1220', :void => '1420', :credit => 'credit'
POS_CODES | = | { :mail => '100020100110', :phone => '100030100110', :internet => 'L00500L00130', :internet_secure => 'K00500K00130', :internet_edankort => 'KM0500R00130', :internet_recurring => 'K00540K00130'
MD5_CHECK_FIELDS | = | { :authorization => [:msgtype, :cardnumber, :amount, :expirationdate, :posc, :ordernum, :currency, :cvd, :merchant, :authtype, :reference, :transaction], :capture => [:msgtype, :amount, :merchant, :transaction], :void => [:msgtype, :merchant, :transaction], :credit => [:msgtype, :amount, :merchant, :transaction]
CURRENCIES | = | [ 'DKK', 'EUR', 'NOK', 'GBP', 'USD' ]
APPROVED | = | '000'

### Public Class methods

new(options = {})

The login is the QuickpayId The password is the md5checkword from the Quickpay admin interface

### Public Instance methods

authorize(money, creditcard, options = {})
capture(money, authorization, options = {})
credit(money, identification, options = {})
purchase(money, creditcard, options = {})
void(identification, options = {})

[Validate]